Skip to main content

Applies a patch to an agent

PATCH /v1/agent/{agentID}

Summary

Applies a patch to an agent.

Details

Request body: array of patch operations. Only allows patching

agentDescription, recentOutput, processID, and currentEventID.

Authentication

No operation-level security requirement is documented here.

Parameters

NameInTypeRequiredDescriptionExample
agentIDpathinteger (int64)YesThe ID of the agent to patch.1

Request Body

No request body is documented here.

Responses

200

Success

application/json

  • key (integer (int64), optional)
  • deviceID (integer (int64), optional)
  • agentTypeID (integer (int64), optional)
  • agentIndex (integer (int64), optional)
  • currentEventID (integer (int64), optional)
  • processID (integer (int64), optional)
  • version (string, optional)
  • agentName (string, optional)
  • agentDescription (string, optional)
  • recentOutput (string, optional)
  • lastHeardFromDate (string (date-time), optional)
  • creationDate (string (date-time), optional)

Example

{
"key": 1,
"deviceID": 201,
"agentTypeID": 1,
"agentIndex": 1,
"currentEventID": 501,
"processID": 4321,
"version": "1.0.0",
"agentName": "Example value",
"agentDescription": "Example description",
"recentOutput": "Agent started successfully.",
"lastHeardFromDate": "2026-03-30T12:00:00.0000000Z",
"creationDate": "2026-03-30T12:00:00.0000000Z"
}